import 'dart:convert';
import 'package:flutter/cupertino.dart';
import 'package:http/http.dart' as http;
import 'geoairnmapdb_baseapi.dart';

class GeodbApi extends GeodbBase {
  /// Default Constructor
  static String _base_url = "https://apiv2.airnmap.com";
  static var url;

  GeodbApi(String _username, String _password)
      : super(_base_url, _username, _password);

  Future<dynamic> SubcribeLocation({@required Map form}) async {
    try {
      var response = await http.post(_base_url + "/location", body: form);
      print(response.body.toString());
      // ---- Response ---- //
      var data = json.decode(response.body);
//      if (prefs != null) {
//        prefs.setString('user', json.encode(data));
//      }
      return data;
    } catch (e) {
      print('Error: ' + e.toString());
    }
  }

  Future<Map<String, dynamic>> ReadSubscriptionLocation(_id, session) async {
    url = (_base_url +
        "/location" +
        '/' +
        _id.toString() +
        '/' +
        session.toString());
    var response = await http.get(url);
    if (response != null) {
      final data = json.decode(response.body);
      return data;
    } else {
      return null;
    }
  }

  Future<dynamic> PushSubscription({@required Map form}) async {
    try {
      var response = await http.post(_base_url + "/location", body: form);
      print(response.body.toString());
      // ---- Response ---- //
      var data = json.decode(response.body);
//      if (prefs != null) {
//        prefs.setString('user', json.encode(data));
//      }
      return data;
    } catch (e) {
      print('Error: ' + e.toString());
    }
  }
}
